﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WpfApplication1
{
    public class ViewModel
    {
        public List<Row> Rows
        {
            get;
            set;
        }

        public ViewModel()
        {
            Rows = new List<Row>();
            for (int i = 0; i < 6; i++)
            {
                var row = new Row
                {
                    Values = new string[] { "a", "b", "c" },
                    ChildRows = new List<Row>(),
                };

                for (int j = 0; j <= 3; j++)
                {
                    var childRow = new Row
                    {
                        Values = new string[] { "1", "2", "3" }
                    };

                    row.ChildRows.Add(childRow);
                }
                Rows.Add(row);
            }
        }

        public class Row
        {
            public List<Row> ChildRows
            {
                get;
                set;
            }

            public string[] Values
            {
                get;
                set;
            }

        }


    }
}
